Developer Portal
Ctrl K
IDENTITY VERIFICATION
NIN Verification API
The NIN Verification endpoint allows you to verify the identity of individuals using their 11-digit National Identity Number.
Service Online / Available
POST
/api/v1/nin/verify
Authentication & Headers
| HEADER | VALUE | REQUIRED |
|---|---|---|
Authorization |
Bearer YOUR_API_TOKEN |
Yes |
Content-Type |
application/json |
Yes |
Accept |
application/json |
Yes |
Service Availability & Realtime Pricing
Role: Default| SERVICE / FIELD CODE | SERVICE NAME | PRICE (₦) | STATUS |
|---|---|---|---|
610 |
nin verification | ₦100.00 | Available |
Request Parameters
| PARAMETER | TYPE | DESCRIPTION | REQUIRED |
|---|---|---|---|
nin |
string | The 11-digit National Identity Number. | Required |
Standard Integration (PHP cURL)
PHP<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://www.api.arewasmart.com.ng/api/v1/nin/verify',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => '',
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 0,
CURLOPT_FOLLOWLOCATION => true,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_POSTFIELDS => array('nin' => '12345678901'),
CURLOPT_HTTPHEADER => array(
'Authorization: Bearer YOUR_API_TOKEN',
'Accept: application/json'
),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
Success Response (200 OK)
{
"status": "success",
"code": 200,
"message": "verification sucessful",
"data": {
"nin": "12345678901",
"firstName": "John",
"middleName": "Smith",
"surname": "Doe",
"birthDate": "1990-01-01",
"gender": "m",
"phoneNumber": "08012345678",
"photo": "base64_encoded_string...",
"reference": "NIN2134ABCDE"
},
"transaction_ref": "NIN2134ABCDE",
"charge": 100.00
}